#include <vcl.h>
#pragma hdrstop
#include "UFormMessage.h"
#pragma package(smart_init)
#pragma resource "*.dfm"

TFormMessage *FormMessage;

// ===================================================================== //
void CreateMessageDlg(AnsiString Msg, TMsgDlgType DlgType)
{
  TFormMessage* FormMessage;
  int nIcon;

  switch (DlgType)
  {
    case mtInformation : nIcon = 0; break;
    case mtWarning : nIcon = 1; break;
    case mtError : nIcon = 2; break;
    default: nIcon = -1;
  }
  FormMessage = new TFormMessage(Application, Msg, nIcon);
  FormMessage->ShowModal();
}


// ===================================================================== //
__fastcall TFormMessage::TFormMessage(TComponent* Owner, AnsiString Msg, int nIcon)
  : TForm(Owner)
{
  FMsg = Msg;
  FnIcon = nIcon;
}

// ===================================================================== //
void __fastcall TFormMessage::FormCreate(TObject *Sender)
{
  labelMessage->Caption = FMsg;
  if (FnIcon != -1)
    imgListIcons->GetBitmap(FnIcon, imgIcon->Picture->Bitmap);
}

