#ifndef UFormFindH
#define UFormFindH
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <msTVResource.hpp>
#include "UResource.h"

class TFormFind : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel;
  TLabel *labelNodeName;
  TEdit *editNodeName;
  TGroupBox *GroupBoxDirection;
  TRadioButton *RBtnBackward;
  TRadioButton *RBtnForward;
  TCheckBox *checkMatchCase;
  TCheckBox *checkPartialStrMatch;
  TButton *btnFindNext;
  TButton *btnClose;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall btnFindNextClick(TObject *Sender);
private:	// User declarations
    TmsSearchNodeParams* FSearchNodeParams;
    int FLangID;
public:		// User declarations
  __fastcall TFormFind(TComponent* Owner, TmsSearchNodeParams* ASearchNodeParams,
    int LangID);
};
extern PACKAGE TFormFind *FormFind;

#endif
